Page MenuHomePhabricator

Create messages for users when their search using advanced syntax doesn't return stuff
Closed, ResolvedPublic

Description

Based off what we know here:

When the insource query is not sufficiently optimized SourceRegexQuery will simply stop collecting results when max_inspect is reached.
This is confusing for the user as the result pages will contain partial results without any warnings.
We should use the builtin timeout feature from elastic and display a warning to the user when we failed to scan the index entirely. The user could then try to optimize its regex.

We should figure out how to display the actual error message to the end user so that they can 'fix' their query to get the results that they were looking for.

Event Timeline

debt created this task.Oct 25 2016, 10:40 PM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptOct 25 2016, 10:40 PM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript
MaxSem moved this task from Needs triage to Search on the Discovery board.Oct 26 2016, 9:21 PM
debt renamed this task from Create messages for users when their search to Create messages for users when their search doesn't return stuff.Oct 27 2016, 8:41 PM
debt moved this task from needs triage to Up Next on the Discovery-Search board.
Deskana renamed this task from Create messages for users when their search doesn't return stuff to Create messages for users when their search using advanced syntax doesn't return stuff.Nov 17 2016, 7:07 PM

Change 326057 had a related patch set uploaded (by EBernhardson):
Add warnings for various query parsing failures

https://gerrit.wikimedia.org/r/326057

TJones added a subscriber: TJones.Dec 13 2016, 8:13 PM

Change 330258 had a related patch set uploaded (by EBernhardson):
Add warnings to geo search keywords

https://gerrit.wikimedia.org/r/330258

Change 326057 merged by jenkins-bot:
Add warnings for various query parsing failures

https://gerrit.wikimedia.org/r/326057

After merging the geo warnings we should be able to declare this done: https://gerrit.wikimedia.org/r/#/c/330258/

Change 330258 merged by jenkins-bot:
Add warnings to geo search keywords

https://gerrit.wikimedia.org/r/330258

Deskana closed this task as Resolved.Feb 10 2017, 5:25 PM